Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.cdi.impl
Class IdentityProviderCDIWrapper

    java.lang.Object
      org.jbpm.services.cdi.impl.IdentityProviderCDIWrapper

All Implemented Interfaces:
  org.kie.internal.identity.IdentityProvider

    public class IdentityProviderCDIWrapper

extends Object
implements org.kie.internal.identity.IdentityProvider

Wrapper to allow to use backup providers in case of given context is not available

Constructor Summary
`IdentityProviderCDIWrapper(org.kie.internal.identity.IdentityProvider identityProvider, javax.enterprise.inject.Instance<RequestScopedBackupIdentityProvider> backupProviders)`

Method Summary
`String` | `getName()`
`List<String>` | `getRoles()`
`boolean` | `hasRole(String role)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdentityProviderCDIWrapper

    public IdentityProviderCDIWrapper(org.kie.internal.identity.IdentityProvider identityProvider,
                                      javax.enterprise.inject.Instance<RequestScopedBackupIdentityProvider> backupProviders)

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.kie.internal.identity.IdentityProvider`

### getRoles

    public List<String> getRoles()

  Specified by:
    `getRoles` in interface `org.kie.internal.identity.IdentityProvider`

### hasRole

    public boolean hasRole(String role)

  Specified by:
    `hasRole` in interface `org.kie.internal.identity.IdentityProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.